Subject: bug#62206: "guix import hackage" not working

From: Philip Kaludercic <[email-masked]>
Date: Wed, 15 Mar 2023 16:04:54 +0000

Hi, I was interested in writing a package specification for the haskell
language server, but when I attempt to import the package I encounter an
undecipherable stack trace:

--8<---------------cut here---------------start------------->8---
$ guix import hackage haskell-language-server
Backtrace:
In guix/import/cabal.scm:
   875:28 19 (eval _)
   875:28 18 (eval _)
   875:28 17 (eval _)
   875:28 16 (eval _)
   875:28 15 (eval _)
   875:28 14 (eval _)
   875:28 13 (eval _)
   875:28 12 (eval _)
   875:28 11 (eval _)
   875:28 10 (eval _)
   875:28  9 (eval _)
   875:28  8 (eval _)
   875:28  7 (eval _)
   875:28  6 (eval _)
   875:28  5 (eval _)
   875:28  4 (eval _)
   875:13  3 (eval _)
   868:32  2 (eval (section library #f (("import" ("common-d…")) …)))
   872:13  1 (eval _)
In unknown file:
           0 (append #f (("exposed-modules" ("Ide.Arguments Id…")) …))

ERROR: In procedure append:
In procedure append: Wrong type argument in position 1 (expecting empty list): #f
--8<---------------cut here---------------end--------------->8---

What can I do to debug this?  For context this is my current version and
I am using Guix on a foreign system via Debian:

--8<---------------cut here---------------start------------->8---
$ guix --version
guix (GNU Guix) 8a479494633395f5a4a088e2c52380bcb22f4fe8
Copyright (C) 2023 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
--8<---------------cut here---------------end--------------->8---